package jp.sourceforge.shovel.device;

import jp.sourceforge.shovel.DelayExecutionType;
import jp.sourceforge.shovel.entity.IDirectMessage;
import jp.sourceforge.shovel.entity.IFavorite;
import jp.sourceforge.shovel.entity.IFriendship;
import jp.sourceforge.shovel.entity.IStatus;
import jp.sourceforge.shovel.entity.IUser;

public interface IDelayExecutorContext {
    void setDelayExecutionType(DelayExecutionType type);
    DelayExecutionType getDelayExecutionType();
    void initServerName();
    String getServerName();
    
    boolean isCommit();
    void setCommit(boolean commit);
    
    IStatus getStatus();
    void setStatus(IStatus status);
    IFavorite getFavorite();
    void setFavorite(IFavorite favorite);
    IDirectMessage getDirectMessage();
    void setDirectMessage(IDirectMessage directMessage);
    IFriendship getFriend();
    void setFriend(IFriendship friend);
    IUser getUser();
    void setUser(IUser user);
}
